diff --git a/testing/start_test.sh b/testing/start_test.sh
index c517eea3ab0b44cd65691af22bf86df23efa4720..ba9ea3d06d455eb624971a2eb48ef5af4a6f237f 100755
--- a/testing/start_test.sh
+++ b/testing/start_test.sh
@@ -11,8 +11,16 @@ if [ -d archive ]; then
     sudo apt-get update
 fi
 
-sudo DEBIAN_FRONTEND=noninteractive apt-get install --allow-unauthenticated -y icinga2 icinga2-ido-mysql mysql-server
+sudo bash -xe <<ROOTSHELL
+    export DEBIAN_FRONTEND=noninteractive
 
-sudo icinga2 feature list
+    if ! apt-get install -y default-mysql-server; then
+        # Fallback to non-metapackage on older distributions
+        apt-get install -y mysql-server
+    fi
 
-sudo icinga2 daemon -C
+    apt-get install --allow-unauthenticated -y icinga2 icinga2-ido-mysql
+
+    icinga2 feature list
+    icinga2 daemon -C
+ROOTSHELL